package lock

import (
	"code.gitea.io/gitea/models"
)

type LockContext struct {
	Repo           *models.Repository
	DisplayJobName string
	User           *models.User
	LockedList     []Lock
}

type Lock interface {
	IsMatch(ctx *LockContext) bool
	Lock(ctx *LockContext) string
	Unlock(ctx *LockContext) error
}
