package cloudbrain

import "code.gitea.io/gitea/services/lock"

var defaultChain = lock.NewLockChainOperator().Add(lock.CloudbrainUniquenessLock{}).Add(lock.CloudbrainDisplayJobNameLock{})

func Lock4CloudbrainCreation(ctx *lock.LockContext) (*lock.LockChainOperator, string) {
	errCode := defaultChain.Lock(ctx)
	if errCode != "" {
		return nil, errCode
	}
	return defaultChain, ""
}
